This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 881394 - RPM Macro's on ARM using triplet prefix
RPM Macro's on ARM using triplet prefix
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
18
arm Linux
unspecified Severity low
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-11-28 15:27 EST by Paul Whalen
Modified: 2013-03-31 14:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-31 14:58:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Whalen 2012-11-28 15:27:03 EST
Description of problem:
RPM macro's on ARM now appear with triplet prefix, breaking db4 (perhaps more) build on ARM. 


Version-Release number of selected component (if applicable):

rpm-4.10.1-3.fc18.armv7hl

Actual results:
rpm-4.10.1-3.fc18.armv7hl
%__cc                   armv7hl-redhat-linux-gnueabi-gcc
%__cpp                  armv7hl-redhat-linux-gnueabi-gcc -E
%__cxx                  armv7hl-redhat-linux-gnueabi-g++


Expected results:
rpm-4.9.1.3-7.fc17.armv7hl
%__cc                   gcc
%__cpp                  gcc -E
%__cxx                  g++

Additional info:

db4 build fails as a result of the macro change
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1268178

Note You need to log in before you can comment on or make changes to this bug.